### Method

# WebKitWebProcessExtension URIResponse get_suggested_filename

#### Declaration [src]

    const gchar*
    webkit_uri_response_get_suggested_filename (
      WebKitURIResponse* response
    )

#### Description [src]

Get the suggested filename for `response`.

Get the suggested filename for `response`, as specified by the ‘Content-Disposition’ HTTP header, or `NULL` if it’s not present.

Gets property | `WebKitWebProcessExtension.URIResponse:suggested-filename`

#### Return value

Returns: | `const gchar*`
| The suggested filename or `NULL` if the ‘Content-Disposition’ HTTP header is not present.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.